# $Revision: 1.16 $, $Date: 2004/11/28 22:26:55 $
%include	/usr/lib/rpm/macros.perl
Summary:	Easy-to-use tool for creating and maintaining portable makefiles
Summary(pl):	atwe_w_uytkowaniu narzdzie do tworzenia i zarzdzania przenonymi makefile'ami
Name:		tmake
Version:	1.13
Release:	3
License:	BSD-like
Group:		Development/Building
Source0:	ftp://ftp.troll.no/freebies/tmake/%{name}-%{version}.tar.gz
# Source0-md5:	02909d15e5eee9d355b81d74b98a3bea
URL:		http://www.troll.no/freebies/tmake.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an easy-to-use tool for creating and maintaining makefiles
across many platforms and compilers. The idea is that you should spend
your time writing code, not makefiles.

%description -l pl
Jest to atwe_w_uytkowaniu narzdzie do tworzenia i zarzdzania
makefile'ami pord wielu platform i kompilatorw. Idea jest taka, e
powiniene spdza czas piszc kod, a nie Makefile.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/tmake,%{_bindir}}

install bin/progen $RPM_BUILD_ROOT%{_bindir}
install lib/unix/*.t $RPM_BUILD_ROOT%{_datadir}/tmake
sed 's@\$(QTDIR)@/usr@;s@^TMAKE_INCDIR_QT.*@TMAKE_INCDIR_QT		= /usr/include/qt@' \
	lib/linux-g++/tmake.conf > $RPM_BUILD_ROOT%{_datadir}/tmake/tmake.conf
sed "s@\$ENV{\"TMAKEPATH\"}@\"%{_datadir}/tmake\"@" bin/tmake > $RPM_BUILD_ROOT%{_bindir}/tmake

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES doc/* example
%attr(755,root,root) %{_bindir}/*
%{_datadir}/tmake

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tmake.spec,v $
Revision 1.16  2004/11/28 22:26:55  radek
- release 3: do not require the perl package

Revision 1.15  2004/08/29 19:41:18  darekr
- update to 1.13

Revision 1.14  2003/08/18 08:09:36  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/06/16 20:27:00  qboosh
- updated for qt in /usr, release 2

Revision 1.12  2003/05/28 13:02:17  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:27:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/05/09 23:46:56  qboosh
- 1.11

Revision 1.9  2003/01/12 01:57:22  qboosh
- 1.10

Revision 1.8  2002/11/30 23:00:29  juandon
- new %%doc

Revision 1.7  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:15:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/27 20:41:52  filon
- updated to 1.8
- needed by qt-2.3.2

Revision 1.4  2001/11/04 03:41:03  blues
- pl translation added
NOTE: new version avaible

Revision 1.3  2001/03/07 16:25:45  kloczek
- cosmetics.

Revision 1.2  2001/03/07 16:18:59  wiget
fix QT include path; add more docs; release 2; stb

Revision 1.1  2001/01/09 17:54:28  qboosh
- initial PLD release
